// vim: set tw=80 ts=2 sw=2 sts=2:
import 'zone.js';
import 'reflect-metadata';

import './app.ts';

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { UpgradeModule } from '@angular/upgrade/static';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';

import { AccountModule } from './accounts/account.module';

@NgModule({
  imports: [
      BrowserModule,
      UpgradeModule,
      AccountModule
    ]
})

export class AppModule {
  constructor(private upgrade: UpgradeModule) { }

  ngDoBootstrap() {
    this.upgrade.bootstrap(document.body, ['accountant'], { strictDi: false });
  }
}

platformBrowserDynamic().bootstrapModule(AppModule);
